TELAKKA(1)

NAME
telakka - the TeLa Kernel Konstruction Accessory

SYNOPSIS
telakka [ -c ] [ -h ] [ -n ] [ -o file ] [ -v ] [ -V ] [ --compile-only ] [ --help ] [ --nostandard ] [ --output file ] [ --shared ] [ --verbose ] [ --version ] [ CFLAGS ] [ files ]

DESCRIPTION
Telakka is an auxiliary program to be used with tela(1). It compiles files and links them with appropriate libraries to produce a new Tela executable kernel. On systems that support it, it can also produce dynamic shared object files which can be called from tela(1) at runtime using the link function.

OPTIONS

--compile-only
    Compile only, do not link (as in cc(1)).

--help
    Give a short help message describing the options.

--nostandard
    Do not link standard Tela libraries. Normally not needed.

--output
    Name output file, as in cc(1).

--shared
    Produce a dynamic shared object (DSO(1)) file. The output file name, if not determined by --output option, is formed by suffixing the basename of the first *.ct file with so.

--verbose
    Set telakka verbose: tells what it is doing.

--version
    Print version number and make a succesful exit.

-c  Same as --compile-only.

-h  Same as --help.

-o  Same as --output.

-v  Same as --verbose.

-V  Same as --version.

CFLAGS
    Any options to the C++ compiler/linker.

FILES

*.ct
    C-tela source. C-tela is C++ equipped with Tela function header syntax. A preprocessor named ctpp turns C-tela into ordinary C++. Usually ctpp is accessed indirectly through telakka.

*.o Ordinary object files generated from *.ct files by telakka.

libtela.a
    The main kernel archive.

SEE ALSO
tela(1), the Tensor Language. m2t(1), Matlab to Tela translator.

COPYRIGHT
Copyright 1994, Pekka Janhunen.

AUTHORS
Pekka Janhunen <Pekka.Janhunen@fmi.fi>,
Finnish Meteorological Institute/
Dept. of Geophysics (/FMI/GEO).